export async function speakText(text, lang) {
  // 检查浏览器是否支持 Web Speech API
  if ('speechSynthesis' in window) {
    const input = document.createElement('input')
    input.type = 'text'
    input.id = 'text-to-speak'
    input.value = text

    // 创建按钮
    const button = document.createElement('button')
    button.textContent = '朗读'

    // 创建一个容器来存放输入框和按钮
    document.body.appendChild(input)
    document.body.appendChild(button)
    // 绑定按钮点击事件
    button.addEventListener('click', speak)
    // await simulateUserInteraction(button)
    button.click()
    setTimeout(() => {
      document.body.removeChild(input)
      document.body.removeChild(button)
    }, 1000)
  } else {
    alert('您的浏览器不支持语音合成功能。')
  }
}

async function simulateUserInteraction(button) {
  // 模拟用户点击按钮
  button.click()
  console.log('click', 'click')
}

function speak() {
  // 获取输入框中的文字
  const text = document.getElementById('text-to-speak').value
  // 创建一个 SpeechSynthesisUtterance 对象
  const utterance = new SpeechSynthesisUtterance(text)
  // console.log(text, 'text')

  // 设置语音属性（可选）
  utterance.lang = 'zh-CN' // 设置语言为中文
  utterance.rate = 1 // 设置语速
  utterance.pitch = 0.1 // 设置音调
  utterance.volume = 1 // 设置音量

  // 使用 window.speechSynthesis 进行语音合成
  window.speechSynthesis.speak(utterance)
  // console.log(speechSynthesis)
}
